Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

SSSU - Version 6 - script error

 
Gary Lively_1
Occasional Contributor

SSSU - Version 6 - script error

Getting a script error after going to SSSU/version 6

this is my script

$sssu :==$DSA99:[SSSU]SSSU_vms_alpha.exe
$ Show Time
$ sssu
sel manager xx.xx.x.xxx user=eva02 pass=pass
sel cell EVA02
show vdisk full
exit
$ Show Time

this is what i get

14-AUG-2007 15:15:46


SSSU for HP StorageWorks Command View EVA
Version: 6.0.2
Build: 5

Manager:Username:Password:
5 REPLIES 5

Re: SSSU - Version 6 - script error

I have SSSU ver 6 and build 34. In that there is no show command.
You can get help by entering SSSU interactivly and typing a ?

$ run sys$system:sssu
SSSU for HP StorageWorks Command View EVA
Version: 6.0
Build: 34

Manager:xyz
Username:administrator
Password:xxxxxx
NoSystemSelected> select system EVA
EVA> ?
The options are:
ADD
CAPTURE
CLEAR
CODELOAD
DELETE
EMVERSION
EXERCISE_DISK
EXIT
FILE
FIND
HELP
LOCATE
LS
MOVE
PAUSE
REDISCOVER
REFRESH
RESTART
SELECT
SET
SHUTDOWN
EVA> ls vdisk ?
The options are:
FULL
NOFULL
Name of object to show
==================
hope this helps,
James
Luc Beaumet
Occasional Visitor

Re: SSSU - Version 6 - script error

To be defined :
P1 is the storage area name
P2 id the manager (appliance?) address

$ OPEN/WRITE CMD SSSU_SHOW_HOSTS.CMD;
$ WRITE CMD "select manager ''P2' USERNAME=administrator PASSWORD=hiddentext"
$ WRITE CMD "select system ''P1'"
$ WRITE CMD "ls host full"
$ WRITE CMD "exit"
$ CLOSE/NOLOG CMD
$ PIPE SSSU "FILE SSSU_SHOW_HOSTS.CMD;" > SSSU_SHOW_HOSTS_'P1'.TMP;

Hope this help.
Jess Goodman
Esteemed Contributor

Re: SSSU - Version 6 - script error

Gary,

I cut and pasted your script. I modified the manager name, username, password, and
system name for my site. It ran fine for me.

But I'm confused about version numbers. I haven't updated SSSU in a couple of years, but I'm not sure if my version below is newer or older than what you used.

SSSU Build 7 for hp command view eva 3.2

Jess
I have one, but it's personal.
Uwe Zessin
Honored Contributor

Re: SSSU - Version 6 - script error

Jess,

version 3.2 is _much_ older than V6.0 or V6.0.2 ;-)

Please make sure that your version of SSSU matches the version of Command View EVA.
.
The Brit
Honored Contributor

Re: SSSU - Version 6 - script error

Hey Gary,
Only a couple of things.

1. As pointed out, make sure that the version of SSSU is OK for use with the version of Command View EVA, and
2. I always had issues using anything but the Administrator Account.

(Look in any of the other scripts (which I assume are still working) and compare.)

If your problem is more widespread than just this script, give me a call.

Dave.

P.S. you better assign some points to these guys or else I'll report you to "the DBA".